aboutsummaryrefslogtreecommitdiffstats
path: root/test/Gentests
diff options
context:
space:
mode:
Diffstat (limited to 'test/Gentests')
-rwxr-xr-xtest/Gentests12
1 files changed, 6 insertions, 6 deletions
diff --git a/test/Gentests b/test/Gentests
index 86849fe1..460edbae 100755
--- a/test/Gentests
+++ b/test/Gentests
@@ -96,7 +96,7 @@ function generate(x, s)
delete lint_old[x]
}
if (x".in" in files) {
- s = s " < $(srcdir)/$@.in"
+ s = s " < \"$(srcdir)\"/$@.in"
delete files[x".in"]
}
@@ -104,13 +104,13 @@ function generate(x, s)
if (x in mpfr) {
delete mpfr[x]
- printf "\t@AWKPATH=$(srcdir) $(AWK) $(AWKFLAGS) -f $@.awk %s >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@\n", s
- printf "\t@-if test -z \"$$AWKFLAGS\" ; then $(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@ ; else \\\n"
- printf "\t$(CMP) $(srcdir)/$@-mpfr.ok _$@ && rm -f _$@ ; \\\n"
+ printf "\t@AWKPATH=\"$(srcdir)\" $(AWK) $(AWKFLAGS) -f $@.awk %s >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@\n", s
+ printf "\t@-if test -z \"$$AWKFLAGS\" ; then $(CMP) \"$(srcdir)\"/$@.ok _$@ && rm -f _$@ ; else \\\n"
+ printf "\t$(CMP) \"$(srcdir)\"/$@-mpfr.ok _$@ && rm -f _$@ ; \\\n"
printf "\tfi\n\n"
} else {
- printf "\t@AWKPATH=$(srcdir) $(AWK) -f $@.awk %s >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@\n", s
- printf "\t@-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@\n\n"
+ printf "\t@AWKPATH=\"$(srcdir)\" $(AWK) -f $@.awk %s >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@\n", s
+ printf "\t@-$(CMP) \"$(srcdir)\"/$@.ok _$@ && rm -f _$@\n\n"
}
}